function LM_SaveAsTIFF( rasta, title )
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.

    if nargin==2
        [filename, pathname]=uiputfile('*.tiff',title);
    else
        [filename, pathname]=uiputfile('*.tiff');
    end
    
    filepath=fullfile(pathname,filename);

    dsize=size(size(rasta));
    
    if dsize==2
        imwrite(uint16(rasta),filepath,'tiff');        
    else
        for i=1:size(rasta,3)
            i
            slice=squeeze(uint16(rasta(:,:,i)));
            imwrite(slice,filepath,'tiff','writemode','append');
        end
    end

    
end

