function [ filterset ] = LM_MakeFilterset( zlookup )
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.


    if nargin==1
        filterset.asymmetrymax=max(zlookup(:,1));
        filterset.asymmetrymin=min(zlookup(:,1));
        filterset.widthheightsummax=7;
        filterset.widthheightsummin=4; 
    else
        filterset.asymmetrymax=2;
        filterset.asymmetrymin=0.4;
        filterset.widthheightsummax=7;
        filterset.widthheightsummin=3;    
    end
    
    filterset.intensitymax=70000;
    filterset.intensitymin=1000;
    filterset.xmax=512;
    filterset.xmin=0;
    filterset.ymax=512;
    filterset.ymin=0;
    filterset.normresmin=0;
    filterset.normresmax=8e7;
    
end

