function LM_ThunderSTORMExport( fits, name )
% This file is part of LM.
% 
% LM is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
% 
% Foobar is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
% 
% You should have received a copy of the GNU General Public License
% along with LM.  If not, see <http://www.gnu.org/licenses/>.


    if nargin==1
        [path,file]=uiputfile('*.csv','Export file name:');
    else
        [path,file]=uiputfile('*.csv','Export file name:',name);
    end
    
    ffile=fullfile(file,path);
    
    fileID = fopen(ffile,'w');
    C={'frame','x [nm]','y [nm]','z [nm]'};
    fprintf(fileID,'%s,%s,%s,%s\n',C{:});
    
    for i=1:size(fits,1)
    
        D=[fits(i,7) fits(i,2)*94 fits(i,4)*94 fits(i,9)];
        fprintf(fileID,'%u,%f,%f,%f\n',D);

    end
    
    fclose(fileID);
    
end

